Bug 147743 - CAN-2005-2496 improper group set when running ntpd
CAN-2005-2496 improper group set when running ntpd
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ntp (Show other bugs)
3
All Linux
medium Severity low
: ---
: ---
Assigned To: Petr Raszyk
Brian Brock
impact=low,reported=20050210,public=2...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-10 16:48 EST by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: 4.2.0.a.20050816 Rel.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-05 03:49:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix for this issue. (339 bytes, text/plain)
2005-02-10 16:48 EST, Josh Bressers
no flags Details

  None (edit)
Description Josh Bressers 2005-02-10 16:48:05 EST
When starting xntpd with the -u option and specifying the group
by using a string not a numeric gid the daemon uses the gid of
the user not the group.

reproduce:
        # rcxntpd start
        # ps -C ntpd -o comm,pid,ruser,euser,rgroup,egroup
        verify given and real IDs


This issue affects the ntpd we ship with FC
Comment 1 Josh Bressers 2005-02-10 16:48:06 EST
Created attachment 110943 [details]
Fix for this issue.
Comment 2 Josh Bressers 2005-08-25 11:30:14 EDT
Lifting embargo
Comment 3 Rahul Sundaram 2005-09-05 03:38:47 EDT
has this been fixed now?
Comment 4 Mark J. Cox (Product Security) 2005-09-05 03:49:49 EDT
FEDORA-2005-812
Comment 5 Petr Raszyk 2005-09-15 06:39:32 EDT
Fixed (by jryska@redhat.com)  on Thu Apr 14 2005 
with help (bressers@redhat.com) in:
devel, FC-4, FC-3, RHEL-4.
  	
RHEL-3 does not call 'getgrnam()'.



I checked only (int sw_gid - initialization/setting):
Comment 6 Jindrich Novy 2005-09-15 07:25:43 EDT
An update for FC3 was released so ERRATA is the proper resolution here as this
bug is filed for FC3.

For more information see:
http://lwn.net/Articles/149403/

Note You need to log in before you can comment on or make changes to this bug.